FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 09-16-2012, 02:16 PM
Allan McRae
 
Default pactest: variant of package removal due to unmet dependencies

Duplicate of sync140.py but with the alphabetical ordering of the
packages changed.

Signed-off-by: Allan McRae <allan@archlinux.org>
---
test/pacman/tests/sync141.py | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
create mode 100644 test/pacman/tests/sync141.py

diff --git a/test/pacman/tests/sync141.py b/test/pacman/tests/sync141.py
new file mode 100644
index 0000000..b2c996e
--- /dev/null
+++ b/test/pacman/tests/sync141.py
@@ -0,0 +1,28 @@
+self.description = "Sysupgrade with ignored package prevent other upgrade"
+
+lp1 = pmpkg("c_glibc", "1.0-1")
+lp2 = pmpkg("b_gcc-libs", "1.0-1")
+lp2.depends = ["c_glibc>=1.0-1"]
+lp3 = pmpkg("a_pcre", "1.0-1")
+lp3.depends = ["b_gcc-libs"]
+
+for p in lp1, lp2, lp3:
+ self.addpkg2db("local", p)
+
+sp1 = pmpkg("c_glibc", "1.0-2")
+sp2 = pmpkg("b_gcc-libs", "1.0-2")
+sp2.depends = ["c_glibc>=1.0-2"]
+sp3 = pmpkg("a_pcre", "1.0-2")
+sp3.depends = ["b_gcc-libs"]
+
+for p in sp1, sp2, sp3:
+ self.addpkg2db("sync", p)
+
+self.args = "-Su --ignore %s --ask=32" % sp1.name
+
+self.addrule("PACMAN_RETCODE=0")
+self.addrule("PKG_VERSION=c_glibc|1.0-1")
+self.addrule("PKG_VERSION=b_gcc-libs|1.0-1")
+self.addrule("PKG_VERSION=a_pcre|1.0-2")
+
+self.expectfailure = True
--
1.7.12
 

Thread Tools




All times are GMT. The time now is 12:51 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org